## DMS Set Operating Mode request DMS Set Operating Mode request |

## Functions

QmiMessageDmsSetOperatingModeInput * | qmi_message_dms_set_operating_mode_input_new ()
QmiMessageDmsSetOperatingModeInput * | qmi_message_dms_set_operating_mode_input_ref ()
void | qmi_message_dms_set_operating_mode_input_unref ()
gboolean | qmi_message_dms_set_operating_mode_input_get_mode ()
gboolean | qmi_message_dms_set_operating_mode_input_set_mode ()
QmiMessageDmsSetOperatingModeOutput * | qmi_message_dms_set_operating_mode_output_ref ()
void | qmi_message_dms_set_operating_mode_output_unref ()
gboolean | qmi_message_dms_set_operating_mode_output_get_result ()
void | qmi_client_dms_set_operating_mode ()
QmiMessageDmsSetOperatingModeOutput * | qmi_client_dms_set_operating_mode_finish ()

## Types and Values

| QmiMessageDmsSetOperatingModeInput
| QmiMessageDmsSetOperatingModeOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageDmsSetOperatingModeInput
        ╰── QmiMessageDmsSetOperatingModeOutput

## Description

## Functions

### qmi_message_dms_set_operating_mode_input_new ()

    QmiMessageDmsSetOperatingModeInput *
    qmi_message_dms_set_operating_mode_input_new
                                   (void);

Allocates a new QmiMessageDmsSetOperatingModeInput.

#### Returns

the newly created QmiMessageDmsSetOperatingModeInput. The returned value should be freed with `qmi_message_dms_set_operating_mode_input_unref()`.

Since: 1.0

### qmi_message_dms_set_operating_mode_input_ref ()

    QmiMessageDmsSetOperatingModeInput *
    qmi_message_dms_set_operating_mode_input_ref
                                   (QmiMessageDmsSetOperatingModeInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsSetOperatingModeInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_set_operating_mode_input_unref ()

    void
    qmi_message_dms_set_operating_mode_input_unref
                                   (QmiMessageDmsSetOperatingModeInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsSetOperatingModeInput. |

Since: 1.0

### qmi_message_dms_set_operating_mode_input_get_mode ()

    gboolean
    qmi_message_dms_set_operating_mode_input_get_mode
                                   (QmiMessageDmsSetOperatingModeInput *self,
                                    QmiDmsOperatingMode *value_mode,
                                    GError **error);

Get the 'Mode' field from `self` .

#### Parameters

self | a QmiMessageDmsSetOperatingModeInput. |
value_mode | a placeholder for the output QmiDmsOperatingMode, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_set_operating_mode_input_set_mode ()

    gboolean
    qmi_message_dms_set_operating_mode_input_set_mode
                                   (QmiMessageDmsSetOperatingModeInput *self,
                                    QmiDmsOperatingMode value_mode,
                                    GError **error);

Set the 'Mode' field in the message.

#### Parameters

self | a QmiMessageDmsSetOperatingModeInput. |
value_mode | a QmiDmsOperatingMode. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_set_operating_mode_output_ref ()

    QmiMessageDmsSetOperatingModeOutput *
    qmi_message_dms_set_operating_mode_output_ref
                                   (QmiMessageDmsSetOperatingModeOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsSetOperatingModeOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_set_operating_mode_output_unref ()

    void
    qmi_message_dms_set_operating_mode_output_unref
                                   (QmiMessageDmsSetOperatingModeOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsSetOperatingModeOutput. |

Since: 1.0

### qmi_message_dms_set_operating_mode_output_get_result ()

    gboolean
    qmi_message_dms_set_operating_mode_output_get_result
                                   (QmiMessageDmsSetOperatingModeOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsSetOperatingModeOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_client_dms_set_operating_mode ()

    void
    qmi_client_dms_set_operating_mode (QmiClientDms *self,
                                       QmiMessageDmsSetOperatingModeInput *input,
                                       guint timeout,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously sends a Set Operating Mode request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_set_operating_mode_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
input | a QmiMessageDmsSetOperatingModeInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_dms_set_operating_mode_finish ()

    QmiMessageDmsSetOperatingModeOutput *
    qmi_client_dms_set_operating_mode_finish
                                   (QmiClientDms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_dms_set_operating_mode()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_set_operating_mode()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsSetOperatingModeOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_set_operating_mode_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageDmsSetOperatingModeInput

    typedef struct _QmiMessageDmsSetOperatingModeInput QmiMessageDmsSetOperatingModeInput;

The QmiMessageDmsSetOperatingModeInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageDmsSetOperatingModeOutput

    typedef struct _QmiMessageDmsSetOperatingModeOutput QmiMessageDmsSetOperatingModeOutput;

The QmiMessageDmsSetOperatingModeOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0